## REKISTERÖITYMINEN

Tämän käyttötapauksen tarkoituksena on kuvata tilannetta, jossa asiakas kirjautuu palveluun ensikertaa.

## Kuva

![](images/rekisteröidy.png)

### Laatija	Mirva Tulonen

  * 20.2.2018 / 1.0	
  * Prosessi	Asiakkaan rekisteröityminen
	

### Käyttäjäroolit

  * rooli 1: Asiakas	Luku- ja kirjoitusoikeudet
  * rooli 2: Järjestelmä	Luku- ja kirjoitusoikeudet
  * rooli 3: Ylläpitäjä/käsittelijä	Kaikki oikeudet

### Esitiedot/ehdot	

  * Asiakkaan laitos on saanut palvelusta tunnuksen omia käyttäjiään varten.
  * Asiakas on saanut työpaikaltaan/opiskelupaikaltaan tunnuksen, jota käyttää rekisteröitymisen yhteydessä.

### Käyttötapauksen kuvaus

  * 1   Asiakas saapuu sivustolle. Rekisteröityy sähköposti-osoitteellaan ja luo salasanan. Liittää mukaan työpaikkansa/opiskelupaikkansa tunnuksen.
  * 2	Ilmoitus rekisteröitymisestä saapuu ylläpitäjälle.
  * 3	Asiakkaan tunnukset lisätään tietokantaan, jos tämän antama työpaikka/opiskelupaikkatunnus on oikea. Tiedot tallenetaan asiakkaan oman laitoksen tietoihin.
  * 4	Asiakas saa sähköpostiinsa vahvistusviestin ja voi nyt kirjautua käyttämään palvelua.

### Poikkeukset
 
   * P1

Järjestelmä ei tunnista asiakkaan syöttämää tunnusta/salasanaa oikeaksi. Järjestelmä ilmoittaa tästä asiakkaalle virheviestillä ja palautuu kirjautumissivulle.
Asiakas voi yrittää kirjautua uudelleen niin monta kertaa kunnes onnistuu.

  * P2	

Ilmoitus asiakkaan rekisteröitymisestä ei saavu ylläpitäjälle. Asiakkaan on saatava tästä virheilmoitus.
    
  * P3

Käyttäjä yrittää luoda useamman käyttäjätilin, eli siis rekisteröityä useamman kerran. Jos käyttäjä yrittää rekisteröityä samoilla tunnuksilla (sähköposti, laitoksen tunnus), palvelun
on estettävä se ja annettava käyttäjälle virheilmoitus.
    
	
### Lopputulos	

Asiakas on kirjautunut palveluun ensikertaa, ja voi nyt käyttää palvelua.

### Käyttötiheys

Rekisteröityminen tapahtuu aina kun uusi asiakas alkaa käyttämään palvelua, tiheys voi vaihdella.

### Muuta Kuvataan muita käyttötapaukseen liittyviä oleellisia tietoja, kuten avoimia asioita, viittauksia käytettäviin koodistoihin jne.



# Lähde

Tämä wiki-dokumentin runko pohjautuu [Julkisenhallinnon suosituksiin](http://www.jhs-suositukset.fi/web/guest/jhs/recommendations/173)

Kiitokset alkuperäisen tekijöille!

