# Ominaisuus LAITOSTUNNUS

* Ominaisuuden vastuuhenkilö: Marko Polo
* Status (Ehdotus/Hyväksytty/Hylätty)

### Kuvaus

Käyttäjällä on rekisteröitymistä varten oppilaitokselta/työpaikalta saatu tunnus, joka varmistaa, että käyttäjällä on 'lupa' kirjautua palveluun. Tunnuksen avulla käyttäjätili
liitetään tietyn laitoksen tietoihin palvelussa, ja esimerkiksi työntekijän tekemä opintopolku ohjautuu oikeaan heatmappiin.


### Käyttötapaukset (Use Cases)

Täitä käyttötapauksia voidaan tarvittaessa käyttää hyväksyntätesteinä tai pohjana niille.

* [Use Case 1](https://github.com/JAMK-IT/TT0S0100-software-desing-and-testing/blob/master/pohja-kayttotapauskuvaus.md)
* [Use Case 2](https://github.com/JAMK-IT/TT0S0100-software-desing-and-testing/blob/master/pohja-kayttotapauskuvaus.md)


### Alustavat käyttäjätarinat

* _Käyttäjänä haluan, että käytän palvelua yritykseni nimissä_
* _Käyttäjän haluan, että tilini on yhteyksissä oppilaitokseni kanssa, jotta minulle tarjottavat opintopolut ja kurssit ovat alaani liittyviä_
* _Ylläpitäjän haluan, että voin ryhmitellä käyttäjiä, sillä se helpottaa työtäni_
#3

### Käyttöliittymänäkymä/mock

Rekisteröityessä palveluun ensikeraa, pyydetään käyttäjältä laitoksen tunnusta.

![](images/rekisteröinti_mock2.PNG)


### Ominaisuuteen liittyvät toiminnalliset vaatimukset

* Rekisteröityessä vaaditaan tunnus
* Tunnus on tullut alunperin palvelun ylläpitäjältä

### Ominaisuuteen liittävät ei-toiminnalliset vaatimukset

* Tunnuksia pitää pystyä jakamaan sitä mukaan kuin uusia käyttäjiä uusista laitoksista tulee
* 

### Ominaisuuteen liittyvät rajaukset

* 


### Testauksessa huomioitavaa:

| Testi  | Testin lähde  | Kuka vastaa  |
|:-: | :-:|:-:|
| [Testitapaus 1](https://github.com/JAMK-IT/TTOS0100-Ohjelmistosuunnittelu-ja-testaus/blob/master/pohja-testitapaus.md)  | Use Case 1  |  |
| [Testitapaus 2](https://github.com/JAMK-IT/TTOS0100-Ohjelmistosuunnittelu-ja-testaus/blob/master/pohja-testitapaus.md)  |  |  |
| [Testitapaus 3](https://github.com/JAMK-IT/TTOS0100-Ohjelmistosuunnittelu-ja-testaus/blob/master/pohja-testitapaus.md)  | Use Case 2 |  |
| [Testitapaus 4](https://github.com/JAMK-IT/TTOS0100-Ohjelmistosuunnittelu-ja-testaus/blob/master/pohja-testitapaus.md)  | Vaatimus REQ001 |  |
| [Testitapaus 5](https://github.com/JAMK-IT/TTOS0100-Ohjelmistosuunnittelu-ja-testaus/blob/master/pohja-testitapaus.md)  |  |  |
| [Testitapaus 6](https://github.com/JAMK-IT/TTOS0100-Ohjelmistosuunnittelu-ja-testaus/blob/master/pohja-testitapaus.md)  |  |  |


### Status/Aikataulu/Roadmap

| Status | |
|:----:|:----:|
| Hyväksytty/ Hylätty | - |




